<template lang="pug">
  .cart-btn.text-right.bewerten
    strong.txtCart
    b-button.btn-info.btn-lg.btn-cart.stavka(
    v-bind:disabled='toDisableCart'
    @click='showModal'
    ) КОСMО СТАВКА 500.00 UAH
</template>

<script>
export default {
  name: "CartBtn",
  props: {
    cartItems: {
      type: Array
    },
    toDisableCart: {
      type: Boolean
    }
  },

  // For call the modal window

  methods: {
    showModal() {
      this.$root.$emit("bv::show::modal", "cardModal");
    }
  },

  // Calc quantity of all items in the cart

  computed: {
    quantityItems() {
      let quanItems = 0;
      this.cartItems.forEach(item => {
        quanItems = Number(quanItems);
        quanItems += Number(item.qty);
      });
      return quanItems;
    },

    // For Plural in words ->   << Product / Products >> and << Item / Items >>

    productPlural() {
      if (this.cartItems.length > 1) {
        this.product = "Products";
      } else {
        this.product = "Product";
      }
      return this.product;
    },

    itemPlural() {
      if (this.quantityItems > 1) {
        this.item = "Items";
      } else {
        this.item = "Item";
      }
      return this.item;
    }
  }
};
</script>

<style lang="scss" scoped>
.stavka {
  background: #223e9b;
  border: none;
  width: 180px;
  border-radius: 20px;
}

.btn-cart {
  font-size: 1.1rem;
}

.quantities {
  font-weight: bold;
}

.cart-in-title {
  display: inline-block;
  position: relative;
  z-index: -1;
  width: 50px;
  height: 50px;
  top: -7px;
  right: 17px;
  animation: cart 4s infinite cubic-bezier(0.14, 0.21, 0, 1.1);

  .txtCart {
    color: #541520;
    text-align: center;
    display: inline-block;
    position: relative;
    right: 20px;
    top: -15px;
  }
}

@keyframes cart {
  0% {
    margin-right: -30px;
    transform: rotate(-10deg);
  }
  30% {
    margin-right: -15px;
    transform: rotate(5deg);
  }
  100% {
    margin-right: -30px;
    transform: rotate(-10deg);
  }
}
</style>
